Bug 748522

Summary: dejavu-fonts fails to build with Perl-5.14.1-187
Product: [Fedora] Fedora Reporter: Jeremiah <JMiahMan>
Component: dejavu-fontsAssignee: Nicolas Mailhot <nicolas.mailhot>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 16CC: fonts-bugs, nicolas.mailhot, paul, peter
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 21:55:32 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 757290    
Bug Blocks: 756963    

Description Jeremiah 2011-10-24 13:07:41 EDT
Description of problem:
The Dejavu-fonts fail to meet buildrequires to compile due to missing file:

/usr/share/perl5/unicore/UnicodeData.txt

This file was offered by Perl in previous releases but seems to be missing in Perl 5.14

Version-Release number of selected component (if applicable):
2.33

How reproducible:
Try and rebuild dejavu-fonts with Perl version 5.14.1-187


Steps to Reproduce:
1. Make sure your build environment has Perl version 5.14.1-187 
2. try and build dejavu-fonts from src rpm
3. watch it complain about missing buildrequires even though Perl is installed
  
Actual results:
BuildRequires not met, failed build

Expected results:
Perl should provide missing file again or BuildRequires should be changes in spec file for dejavu-fonts

Additional info:
Comment 1 Nicolas Mailhot 2011-10-25 16:04:00 EDT
Drat, did the perl guys move the file elsewhere? Because I don't relish the thought of packaging it separately (I know where the unicode consortium publishes it, but the legal aspects are unpleasant)
Comment 2 Paul Flo Williams 2011-11-16 07:33:13 EST
Perl 5.14 has removed some files from .../unicore/ in an effort to trim it (according to git logs) from 17M to 7M. Blocks.txt has survived, but UnicodeData.txt is no longer shipped.

Other existing providers of UnicodeData.txt on F16 are:

boost-devel
mingw32-boost
moodle

Unfortunately, none of these also contain Blocks.txt.
Comment 3 Paul Flo Williams 2011-11-16 07:46:54 EST
(In reply to comment #1)
> Because I don't relish the
> thought of packaging it separately (I know where the unicode consortium
> publishes it, but the legal aspects are unpleasant)

I've just taken a look at the Unicode terms of use:

http://www.unicode.org/copyright.html

and the license (Exhibit 1 on that page), which according to this message:

http://lists.fedoraproject.org/pipermail/legal/2009-February/000540.html

is MIT. So, packaging the data could be useful to us?
Comment 4 Nicolas Mailhot 2011-11-17 05:37:39 EST
(In reply to comment #3)
> (In reply to comment #1)
> > Because I don't relish the
> > thought of packaging it separately (I know where the unicode consortium
> > publishes it, but the legal aspects are unpleasant)
> 
> I've just taken a look at the Unicode terms of use:
> 
> http://www.unicode.org/copyright.html
> 
> and the license (Exhibit 1 on that page), which according to this message:
> 
> http://lists.fedoraproject.org/pipermail/legal/2009-February/000540.html
> 
> is MIT. 

That's a nice change. IIRC it was not always so (that's why I piggybacked on perl originally)

> So, packaging the data could be useful to us?

Yes. That would help dejavu, but also all the packages that ship unicode definitions, and could be cleaned up to use a central package (that could be synced with unicode releases instead of each package shipping obsolete definitions)

If you feel like doing some resource packaging http://opensource.adobe.com/wiki/display/cmap/CMap+Resources is also duplicated everywhere

Otherwise I'll just package unicode data next time dejavu does a release and I need to rebuild the package
Comment 5 Jens Petersen 2011-11-26 02:11:44 EST
Ok I packaged Unicode UCD in bug 757290 if anyone wants to help
review it. :)
Comment 6 Jens Petersen 2011-12-06 00:18:59 EST
Fixed in dejavu-fonts-2.33-2.fc16

http://koji.fedoraproject.org/koji/buildinfo?buildID=276334
Comment 7 Fedora End Of Life 2013-01-16 20:53:58 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 21:55:35 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.